v.3.00
2025-01-07

Adaptation attempt to B42.

-------------------
v.2.07
2023-06-21

Обновлен итальянский перевод (спасибо Lollo11).
Добавлен шаблон для эвакуатора.

Updated Italian translation (thanks to Lollo11).
Added template for a hauler.

-------------------
v.2.06
2023-06-03

Исправлена ошибка связанная с нанесением граффити на автомобили.
Добавлен функционал для управления скинами автомобиля при спавне.
Отключена проверка иконок для сервера.
Невидимый тюнинг больше не появляется при ремонте автомобиля через читы.
Добавлены переводы для новых модов.

Fixed a bug with graffiti on cars.
Added functionality to control vehicle skins when spawning.
Disabled checking icons for server.
Invisible tuning no longer appears when repairing a car through cheats.
Added translations for new mods.

-------------------
v.2.05
2023-04-15

Добавлен код для управления анимациями персонажа, взаимодействующего с автомобилем.
Добавлены новые иконки для меню тюнинга.
Добавлены переводы для нового мода.

Added code to control the animations of the character interacting with the car.
Added new icons for the tuning menu.
Added translations for the new mod.

-------------------
v.2.04
2023-04-01

Обновлены переводы.
Добавлены новые общие иконки.
Добавлено исправление для исключения закрытия меню механика у длинных авто.

Updated translations.
Added new common icons.
Added fix to avoid closing the mechanic menu on long cars.

-------------------
v.2.03
2023-03-26

Обновлен итальянский перевод (спасибо Lollo11).
Исправлена ошибка связанная с бесконечными болтами.

Updated Italian translation (thanks to Lollo11).
Fixed a bug with infinite screws.

-------------------
v.2.02
2023-03-25

Добавлен итальянский перевод (спасибо Lollo11).
Добавлена настройка для анимации покраски автомобиля.
Добавлены новые правила и шаблоны, улучшена логика и проверки для Tuning 2.0.
Изменена логика блокировки снятия детали, если на ней установлена защита.
Изменена логина определения TSARZones, для ускорения запуска сервера.
Исправлена ошибка из-за которой не получалось открыть палатку в мультиплеере.
Удалены все лишние рецепты и предметы для мускул-каров.

Added Italian translation (thanks to Lollo11).
Added a setting for the car painting animation.
Added new rules and templates, improved logic and checks for Tuning 2.0.
Changed the logic of blocking the removal of the part, if it is installed protection.
Changed TSARZones definition logic, to speed up server startup.
Fixed a bug that made it impossible to open the tent in multiplayer.
Removed all unnecessary recipes and items for muscle cars.

-------------------
v.2.01
2023-03-18

Исправлена ошибка прицепа с мотоциклом.
Исправлены переводы.
Добавлены новые шаблоны для Tuning 2.0.

Corrected translations.
Corrected an motorbike trailer bug.
Added new templates for Tuning 2.0.

-------------------
v.2.00
2023-03-12

New functionality has been implemented for car tuning.

Реализован новый функционал для тюнинга автомобилей.

-------------------
v.1.31
2023-01-29

Код для управления анимациями перенесен в мод на мотоциклы. Он использовался только там и мог ухудшать производительность всех других модов.
Если у вас есть вопрос: "А зачем же ты добавил его в эту библиотеку?", у меня будет для вас ответ: "Я планировал создать анимации для всех других автомобилей. Пока что я решил отказаться от этой затеи".
Добавлен шаблон ATAVehicleWrecker, позволяющий создавать прицепы и автомобили для перевозки других транспортных средств.
Уменьшено количество необходимого пропана для изготовления запчастей.

The code to control the animations has been moved to the motorbike mod. It was only used there and could degrade the performance of all other mods.
If you have the question, "So why did you add it to this library?", I have an answer for you: "I planned to create animations for all other vehicles. For now, I've decided to give up on that endeavour".
Added ATAVehicleWrecker template, allowing you to create trailers and cars to transport other vehicles.
The amount of propane needed to make parts has been reduced.

-------------------
v.1.30
2022-08-16

Добавлен общий код для модов Mustard и Samara.
Исправлена ошибка возникающая, при посадке на мотоцикл.
Исправлена ошибка возникающая в любом транспортном средстве с электрическим обогревателем.
Исправлена ошибка из-за которой в выдвижной ящик нельзя было класть вещи.
Обновлен итальянский перевод.
Добавлен японский перевод.
Добавлен китайский перевод.
Добавлены русский и английские переводы для нового мода.

Fixed bug occurring when boarding a motorcycle.
Fixed bug arising in any vehicle with electric heater.
Fixed bug where the drawer could not be filled with items.
Added common code for Mustard and Samara mods.
Italian translation was updated.
Added Japanese translation.
Added Chinese translation.
Added Russian and English translations for the new mod.

-------------------
v.1.29
2022-05-22

Исправлены баги.
Добавлены переводы для нового мода.

Bugfix.
Added translations for the new mod.

-------------------

v.1.28
2022-04-10

Добавлены шаблоны модульной системы для домов на колесах. Теперь игрок может самостоятельно решать, какой предмет или прибор установить в автомобиль.
Добавлены переводы для нового мода.

Added modular system templates for RV. Now the player can decide for himself which item or device to install in the vehicle.
Added translations for the new mod.

-------------------
v.1.27.1
2022-03-21

Исправлены ошибки связанные с синхронизацией колес мотоциклов в мультиплеере.

Fixed errors related to the synchronization of the wheels of motorcycles in multiplayer.

-------------------
v.1.27
2022-03-20

Добавлен новые скрипты и функции для грузовиков.
Добавлены новые зоны спавна для больших прицепов.
Добавлены шаблоны функций для спавна лута в больших прицепах.
Изменена логика работы колес мотоцикла.
Обновлены переводы.
Обновлены шаблоны защиты.

Added new scripts and features for Trucks.
Added new spawn zones for large trailers.
Added function templates for loot spawning in large trailers.
Changed motorcycle wheel logic.
Updated translations.
Updated protection templates.

-------------------
v.1.26
2022-03-13

Исправлены ошибки связанные с защитой на окнах и выдвижными фарами, появившиеся после обновления игры до версии 41.66.
Добавлен механизм сихнронизации по сети анимаций персонажа в транспорте.
Изменена логика работы микроволновки (микроволновки и плиты всё еще не работает в мультиплеере).
Добавлены шаблоны для 6-колесных автомобилей.
Добавлены шаблоны и lua-код для мотоциклов.
Добавлены новые переводы для будущих модов.

Fixed errors related to the protection on the windows and retractable headlights, which appeared after updating the game to version 41.66.
Added a mechanism to synchronize the network animations of the character in transport.
Changed logic for microwaves (microwaves and stoves still do not work in multiplayer).
Added templates for 6-wheeled vehicles.
Added templates and lua code for motorcycles.
Added new translations for future mods.

-------------------
v.1.25
2022-02-04

Исправлены ошибки в серверных функциях библиотеки.
Обновлен код отображения предметов в интерактивном багажнике.
Добавлена обработка таблицы интерактивного багажника "fullness_one".
Добавлены переводы для ATA_Dodge.
Добавлена новая модель для скрытия колес "TsarNullModel".
Перенесены переводы из мода "Aquatsar Yacht Club".
Добавлен шаблон сумок для авто.
Добавлен шаблон и настроена работа выдвижных фар.
Добавлен шаблон багажника на заднее стекло.

Fixed errors in the server functions of the library.
Updated the code for displaying items in the interactive trunk.
Added processing of interactive trunk table "fullness_one".
Added translations for ATA_Dodge.
Added new model for hiding wheels "TsarNullModel".
Added translations from "Aquatsar Yacht Club" mod.
Added template for car bags.
Added template for retractable headlights.
Added template for trunk on the rear window.

-------------------
v.1.24
2022-01-20

Собраны все переводы из зависимых от библиотеки модов.
Добавлены потерянные transmit'ы.
Исправлены ошибки с защитой колес.
Уменьшено количество спавна фонарей для крыши.
Исправлены скрипты бамперов и кенгурятников.
Запрещено разбивать окна, если на них установлена защита.
Исправлено: цистерны восстанавливают топливо при инициализации.
Добавлены шаблоны для защиты капота и багажника.

Collected all translations from library-dependent mods.
Added lost transmit's.
Fixed bugs with wheel protection.
Reduced the number of spawn lanterns for the roof.
Fixed bumpers and bullbar scripts.
It is forbidden to break windows if they are protected.
Fixed: cistern recovers fuel during initialization.
Added templates for hood and trunk protection.

-------------------

v.1.23
2021-12-12

Исправлены переводы. 
Добавлена проверка скиллов механика при установке тюнингованных запчастей.

Fixed translations. 
Added mechanic's skills check when installing tuned parts.

-------------------

v.1.23dev8
2021-12-12

Убраны все общие предметы для тюнинга.
Улучшены переводы на русском и английском.

Removed all common items for tuning.
Improved translations in Russian and English.

-------------------
v.1.23dev7
2021-12-12

Все ATA переводы перенесены в этот мод.
Исправлены ошибки в скриптах.
Переименованы некоторые функции.

All ATA translations transferred to this mod.
Fixed errors in scripts.
Renamed some functions.

-------------------
v.1.23dev6
2021-12-11

Добавлена функции для установки разных дисков на авто.
Исправлены ошибки связанные со спавном предметов (обновление игры 41.60).
Исправлены ошибки связанные с бампером.
Добавлены шаблоны кенгурятника.

Added functions for installing different rims on vehicle.
Fixed errors with items spawning (game update 41.60).
Fixed bumper bugs.
Added bullbar templates.

-------------------
v.1.23dev5
2021-12-07

Улучшены функции отвечающие за отображение нескольких 3д-моделей для запчастей.
Добавлена таблица устанавливающая шанс появления запчасти при спавне автомобиля.

Improved functions responsible for the display of multiple 3D-models for parts.
Added a table that sets the chance of appearance of the part when the vehicle is spawned.

-------------------
v.1.23dev4
2021-12-06

Добавлены шаблоны для спойлеров и широких арок.

Added templates for spoilers and wide fenders.

-------------------
v.1.23dev3
2021-12-05

Добавлен код для анимирования открытия защитной решетки на окнах.

Added code to animate the opening of the protection on the windows.

-------------------
v.1.23dev2
2021-12-04

Изменена логика отображения нескольких 3д-моделей для запчастей.
Исправлены ошибки оставшиеся после переименования lua-таблиц.

Changed the logic of displaying multiple 3D models for parts.
Fixed errors left after renaming lua-tables.

-------------------
v.1.23dev1
2021-12-04

Переименованы файлы шаблонов для тюнинга.
Изменены имена некоторых lua-таблиц.

Renamed template files for tuning.
Changed names of some lua-tables.

-------------------
v.1.22

Обновлены иконки и модель журнала по тюнингу (спасибо djvirus).
Исправлены названия журналов. 

Updated icons and magazine models (thanks to djvirus).
Fixed magazine names. 
-------------------
v.1.21

Исправлены ошибка возникающая при чтении журнала.

Fixed an error that occurs when reading the tuning magazine.

-------------------
v.1.20.1

Bugfix.
-------------------
v.1.20

Исправлен немецкий перевод. Спасибо Laudern.
Исправлены ошибки возникающие в версии мода 1.19 при использовании старого сохранения.
Заблокированы неиспользуемые рецепты.


Fixed German translation. Thanks Laudern.
Fixed errors occurring in the version 1.19 when using the old save.
Unused recipes are locked.
-------------------
v.1.19

Исправлена скорость порчи продуктов в морозилке.

Fixed speed of food spoilage in the freezer.
-------------------
v.1.18

Исправлена ошибка связанная с разморозкой продуктов.
Исправлено ошибка пункта радиального меню для морозильника.

Fixed a bug related to defrosting food.
Fixed a radial menu bug for the freezer.
-------------------
v.1.17

Исправлена работа морозильной камеры.

Fixed the work of the freezer.
-------------------
v.1.16

Добавлен испанский перевод.

Added Spanish translation.

Thanks Siowar.
-------------------
v.1.15

Исправлена ошибка связанная с фонарями для крыши.

Fixed a roof light bug.
-------------------
v.1.14

Исправлен английский перевод.

Corrected English translation.

-------------------
v.1.13

Исправлен ошибка связанная с отсутствием положительного эффекта во время сна на матрасе или в палатке.

Fixed a bug related to the lack of positive effect when sleeping on a mattress or in a tent.
-------------------
v.1.12

Исправлены опечатки в файлах с переводами.

Corrected misprints in the translation files.
-------------------
v.1.11

Исправлена ошибка связанная с невозможностью установки запасного колеса.

Fixed a bug related to the inability to install a spare wheel.
-------------------
v.1.09

Исправлены ошибки связанные с работой холодильника.
Добавлены функции и скрипты для создания тюнингованных автомобилей.

Fixed errors related to the work of the refrigerator.
Added functions and scripts for creating tuned cars.
-------------------
v.1.08 …

Fixed issue with boat key.
Added message about losing items while swimming.
Fixed a bug with the type of spare parts.
-------------------
v.1.07

Исправлены ошибки возникающие при заправке цистерны из бензоколонки.
Исправлены ошибки связанные с появление пустого контекстного меню.

Fixed errors that occurred when refueling a tank from a gas station.
Fixed errors related to the appearance of an empty context menu.
-------------------
v.1.06

Исправлена ошибка связанная со сном в версии PZ 41.51.

Fixed a sleep bug in the PZ 41.51 version.
-------------------
v.1.05 …
